dimbl(1)

NAME
dimbl - Distributed Timbl

SYNOPSIS
dimbl [timbl options] [-S <num of threads>]

DESCRIPTION
dimbl extends timbl with the possibility to run the classification task on multiple threads. This is done by splitting up the Instancebase in parts that are handled in parallel. Every test instance is tested against each partial Instancebase. The results are merged and then the k Nearest Neighbours are calculated.

NOTES
dimbl only works for the IB1 variants of timbl.

Not all timbl options are fully supported.

Documentation is lacking.

OPTIONS

-S <threads>
    run the server on 'threads' parallel threads.

all timbl options are documenented in timbl(1)

dimbl handles most of them in the same way as timbl except for

-i filename

and

-I filename

-I will create 'threads' Instancebase files and store their names in 'filename' together with the name of the weighting file.

-i will use such a file to read back in 'threads' Instancebases for a classifying task. The -S option is ignored in that case. dimbl will use the number of files found in 'filename'.

BUGS
possibly

AUTHORS
Ko van der Sloot Timbl@uvt.nl

Antal van den Bosch Timbl@uvt.nl

SEE ALSO
timbl(1)